#pragma once
#include <map>
struct M_ActivityLeiChongCFGData
{
	//编号
	int mID;
	//描述
	std::string mDsc;
	//完成条件类型
	int mCompleteType;
	//完成计数
	int mCompleteCount;
	//奖励物品ID
	std::vector<int> mAwardItemIDs;
	//奖励物品数量
	std::vector<int> mAwardItemCounts;
};

class M_ActivityLeiChongCFG
{
public:
private:
	static std::auto_ptr<M_ActivityLeiChongCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityLeiChongCFGData* GetData(int ID);
	const std::map<int, M_ActivityLeiChongCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityLeiChongCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityLeiChongCFGData> mMapData;
};
